Package net.snowflake.client.config

## Class SFConnectionConfigParser

- java.lang.Object
- - net.snowflake.client.config.SFConnectionConfigParser

    @SnowflakeJdbcInternalApi
    public class SFConnectionConfigParser
    extends Object

### Field Summary

Fields
`static String` `DEFAULT`
`static String` `SKIP_TOKEN_FILE_PERMISSIONS_VERIFICATION`
`static String` `SNOWFLAKE_DEFAULT_CONNECTION_NAME_KEY`
`static String` `SNOWFLAKE_DIR`
`static String` `SNOWFLAKE_HOME_KEY`
`static String` `SNOWFLAKE_TOKEN_FILE_PATH`

### Constructor Summary

Constructors
`SFConnectionConfigParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ConnectionParameters` `buildConnectionParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SNOWFLAKE_HOME_KEY

    public static final String SNOWFLAKE_HOME_KEY

See Also:
  Constant Field Values

#### SNOWFLAKE_DIR

    public static final String SNOWFLAKE_DIR

See Also:
  Constant Field Values

#### SNOWFLAKE_DEFAULT_CONNECTION_NAME_KEY

    public static final String SNOWFLAKE_DEFAULT_CONNECTION_NAME_KEY

See Also:
  Constant Field Values

#### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

#### SNOWFLAKE_TOKEN_FILE_PATH

    public static final String SNOWFLAKE_TOKEN_FILE_PATH

See Also:
  Constant Field Values

#### SKIP_TOKEN_FILE_PERMISSIONS_VERIFICATION

    public static final String SKIP_TOKEN_FILE_PERMISSIONS_VERIFICATION

See Also:
  Constant Field Values

### Constructor Detail

#### SFConnectionConfigParser

    public SFConnectionConfigParser()

### Method Detail

#### buildConnectionParameters

    public static ConnectionParameters buildConnectionParameters()
                                                          throws SnowflakeSQLException

Throws:
  `SnowflakeSQLException`